/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

/**
 * OASIS XLIFF のターゲットをあらわすバリューオブジェクト。
 */
public class BlancoXliffTarget {
    /**
     * フィールド [lang]
     *
     * 項目の型 [java.lang.String]<br>
     * lang属性。ターゲット言語。
     */
    private String fLang;

    /**
     * フィールド [state]
     *
     * 項目の型 [java.lang.String]<br>
     * state属性。翻訳状況。
     */
    private String fState;

    /**
     * フィールド [target]
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     */
    private String fTarget;

    /**
     * フィールド [lang]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * lang属性。ターゲット言語。
     *
     * @param argLang フィールド[lang]に格納したい値
     */
    public void setLang(final String argLang) {
        fLang = argLang;
    }

    /**
     * フィールド[lang]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * lang属性。ターゲット言語。
     *
     * @return フィールド[lang]に格納されている値
     */
    public String getLang() {
        return fLang;
    }

    /**
     * フィールド [state]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * state属性。翻訳状況。
     *
     * @param argState フィールド[state]に格納したい値
     */
    public void setState(final String argState) {
        fState = argState;
    }

    /**
     * フィールド[state]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * state属性。翻訳状況。
     *
     * @return フィールド[state]に格納されている値
     */
    public String getState() {
        return fState;
    }

    /**
     * フィールド [target]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     *
     * @param argTarget フィールド[target]に格納したい値
     */
    public void setTarget(final String argTarget) {
        fTarget = argTarget;
    }

    /**
     * フィールド[target]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     *
     * @return フィールド[target]に格納されている値
     */
    public String getTarget() {
        return fTarget;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffTarget[");
        buf.append("lang=" + fLang);
        buf.append(",state=" + fState);
        buf.append(",target=" + fTarget);
        buf.append("]");
        return buf.toString();
    }
}
